For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • API Reference
      • GETList Catalog Items
      • POSTTruemed Checkout Method
      • POSTCreate Catalog Item
      • POSTUpdate Catalog Item
      • POSTGet Catalog Item Details
      • POSTItem Eligibility Updated Webhook
LogoLogo
API ReferenceProduct Catalog

Get Catalog Item Details

POST
/api/v1/product_catalog/items/detail
POST
/api/v1/product_catalog/items/detail
1import requests
2
3url = "https://dev-api.truemed.com/api/v1/product_catalog/items/detail"
4
5payload = { "sku": "TM-12345-XL" }
6headers = {
7 "x-truemed-api-key": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "object": {
3 "created_at": "2024-01-15T09:30:00Z",
4 "name": "Truemed Compression Socks XL",
5 "sku": "TM-12345-XL",
6 "description": "Extra-large Truemed compression socks designed for all-day comfort and support.",
7 "eligibility": "eligible",
8 "gtin": "00312345678905",
9 "image_urls": [
10 "https://cdn.truemed.com/products/TM-12345-XL-front.jpg",
11 "https://cdn.truemed.com/products/TM-12345-XL-side.jpg"
12 ],
13 "metadata": "{\"color\":\"blue\",\"material\":\"nylon-spandex blend\"}",
14 "product_id": "TM-12345",
15 "reviewed_at": "2024-04-10T14:00:00Z",
16 "url": "https://truemed.com/products/TM-12345-XL"
17 }
18}
Retrieve details of a catalog item by SKU.
Was this page helpful?
Previous

Item Eligibility Updated Webhook

Next
Built with

Authentication

x-truemed-api-keystring

Sales channel API key for merchant server-to-server authentication

Request

Request body for DetailItemRequest
skustringRequired
The SKU of the catalog item to retrieve.

Response

Successful response
objectobject
The catalog item detail.

Errors

400
Bad Request Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error
501
Not Implemented Error